


#include <i2c.h>

#include "I2C.h"
#include "h/Parametres.h"





unsigned char Write(unsigned char cAddress, unsigned char Donnee) 
	{
		unsigned char bRet = 0x00;
			IdleI2C();
			StartI2C();
			IdleI2C();
			putcI2C(cAddress);
			IdleI2C();
				if (SSPCON2bits.ACKSTAT)
					{
						StopI2C();
							return bRet;
					}
			putcI2C(Donnee);
			IdleI2C();
				if(!SSPCON2bits.ACKSTAT )
					{
						bRet = 0x01;
					}
			StopI2C();
			return bRet;
	}



unsigned char Write16court(unsigned char cAddress, unsigned char Commande, unsigned char Donnee) 
	{
		unsigned char bRet = 0x00;
			IdleI2C();
			StartI2C();
			IdleI2C();
			putcI2C(0xD0);
			IdleI2C();
				if (SSPCON2bits.ACKSTAT)
					{
						StopI2C();
							return bRet;
					}
			putcI2C(Commande);
			IdleI2C();
				if (SSPCON2bits.ACKSTAT)
					{
						StopI2C();
							return bRet;
					}
			putcI2C(Donnee);
			IdleI2C();
				if(!SSPCON2bits.ACKSTAT )
					{
						bRet = 0x01;
					}
			StopI2C();
			return bRet;
	}



unsigned char Write16nouvelle(unsigned char cAddress, unsigned char Commande, unsigned char Donnee1, unsigned char Donnee2) 
{
	unsigned char bRet = 0x00;

	IdleI2C();
	StartI2C();
	IdleI2C();
	putcI2C(cAddress);
	IdleI2C();
		if(SSPCON2bits.ACKSTAT)
			{
				StopI2C();
					return bRet;
			}
	putcI2C(Commande);
	IdleI2C();
		if(SSPCON2bits.ACKSTAT)
			{
				StopI2C();
					return bRet;
			}
	putcI2C(Donnee1);
	IdleI2C();
		if (SSPCON2bits.ACKSTAT)
			{
				StopI2C();
					return bRet;
			}
	putcI2C(Donnee2);
	IdleI2C();
		if(!SSPCON2bits.ACKSTAT )
			{
				bRet = 0x01;
			}
	StopI2C();

		return bRet;
}



unsigned char Read(unsigned char cAddress)
	{
		unsigned char bRet = 0x00;
			IdleI2C();
			StartI2C();
			IdleI2C();
			putcI2C(cAddress);
			IdleI2C();
				if (SSPCON2bits.ACKSTAT)
					{
						StopI2C();
							return bRet;
					}
			bRet = ReadI2C();
			AckI2C();
			IdleI2C();
			StopI2C();
		return bRet;
	}



unsigned char Read16court(unsigned char Adresse, unsigned char Commande, unsigned char AdresseDeLecture)
{
	unsigned char bRet = 0x00;

	IdleI2C();
	StartI2C();
	IdleI2C();
	putcI2C(Adresse);
	IdleI2C();
		if (SSPCON2bits.ACKSTAT)
			{
				StopI2C();

				return bRet;
			}
	IdleI2C();
	putcI2C(Commande);
	IdleI2C();
		if (SSPCON2bits.ACKSTAT)
			{
				StopI2C();
					return bRet;
			}
	IdleI2C();
	RestartI2C();
	IdleI2C();
	putcI2C(AdresseDeLecture);
	IdleI2C();
		if (SSPCON2bits.ACKSTAT)
			{
				StopI2C();
					return bRet;
			}

	IdleI2C();
	bRet = ReadI2C();
	NotAckI2C();
	IdleI2C();
	StopI2C();

	return bRet;
}



unsigned char Read16nouvelle(unsigned char cAddress, unsigned char Commande, unsigned char cAddressLecture, unsigned char * Donnee1, unsigned char * Donnee2)
	{
		unsigned char bRet = 0x00;
			IdleI2C();
			StartI2C();
			IdleI2C();
			putcI2C(cAddress);
			IdleI2C();
				if (SSPCON2bits.ACKSTAT)
					{
						StopI2C();
							return bRet;
					}
			putcI2C(Commande);
			IdleI2C();
				if (SSPCON2bits.ACKSTAT)
					{
						StopI2C();
							return bRet;
					}
			StopI2C();
			IdleI2C();
			StartI2C();
			IdleI2C();
			putcI2C(cAddressLecture);
			IdleI2C();
				if (SSPCON2bits.ACKSTAT)
					{
						StopI2C();
							return bRet;
					}
			*Donnee1 = ReadI2C();
			AckI2C();
			IdleI2C();
			*Donnee2 = ReadI2C();
			NotAckI2C();
			IdleI2C();
			StopI2C();
			bRet = 0x01;
		return bRet;
	}


