


/* Dfinitions des adresses, sur le bus I2C, des diffrents priphriques */


#define ADRESSE_EXPANSEUR_DE_PORTS 0x40

#define ADRESSE_CAPTEUR_1 0x90
#define ADRESSE_CAPTEUR_2 0x94

#define ADRESSE_HORLOGE_TEMPS_REEL 0xD0



/* Dfinitions des diffrents broches utilises pour les commandes des affichages */


#define A1 PORTBbits.RB4
#define A2 PORTBbits.RB5
#define A3 PORTBbits.RB6
#define A4 PORTBbits.RB7

#define K1 PORTAbits.RA0
#define K2 PORTAbits.RA1
#define K3 PORTAbits.RA2
#define K4 PORTAbits.RA3
#define K5 PORTAbits.RA4
#define K6 PORTAbits.RA5
#define K7 PORTAbits.RA6

#define N1 PORTDbits.RD0
#define N2 PORTDbits.RD1
#define N3 PORTDbits.RD2
#define N4 PORTDbits.RD3
#define N5 PORTDbits.RD4
#define N6 PORTDbits.RD5
#define N7 PORTDbits.RD6
#define N8 PORTDbits.RD7
#define N9 PORTCbits.RC0
#define N10 PORTCbits.RC1
#define N11 PORTCbits.RC2
#define N12 PORTCbits.RC6
#define N13 PORTCbits.RC7
#define N14 PORTEbits.RE0
#define N15 PORTEbits.RE1



/* Dfinitions des diffrents modes de fonctionnements possibles */


#define FONCTIONS_AFFICHAGE_HEURE 0x01
#define FONCTIONS_AFFICHAGE_TEMPERATURE_INTERIEURE 0x02
#define FONCTIONS_AFFICHAGE_TEMPERATURE_EXTERIEURE 0x03
#define FONCTIONS_AFFICHAGE_VARIABLES 0x04



/* Dfinitions des diffrents modes d'affichage des tempratures intrieures et extrieures */


#define ENDROIT_AFFICHAGE_TEMPERATURE_INTERIEURE 0x01
#define ENDROIT_AFFICHAGE_TEMPERATURE_EXTERIEURE 0x02


